Engine control does not work

2019-08-14 11:21 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ACADEMIC Product Issue

Numbers:

 

Department: TRIER Affected Products: ADTF 3.5.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 2nd Level Topic: ADTF::StreamingGraph

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Wir versuchen mit der unveränderten adtf-basic-software in der LiveVisualization Config mit dem CarController den Motor unseres

Fahrzeugs anzusteuern. Dazu haben wir im Filter Graph den Car Controller gesetzt und alle Outputs mit Streaming Outports

verknüpft. Im Streaming Graph sind alle Output Streams des Filter Graphs mit dem Arduino Actuator verbunden. Der Log des

Actuators gibt aber für speed und steering immer 0 aus und das Fahrzeug zeigt keine Reaktion auf die Bewegung der Schieberegler.

Das Fahrzeug ist auf autonomes Fahren eingestellt und auf die Räder wirkt auch eine Kraft. Wo könnte das Problem liegen?

Screenshots unserer Konfiguration und den Output der Log View habe ich angehängt.

Lösung

Ohne weiteres Feedback weder reproduzierbar noch lösbar.

History

#1 - 2019-08-16 14:19 - hidden

- Project changed from Public Support to 25

- Topic set to ADTF::StreamingGraph

@Florian

Bitte mal anschauen

#2 - 2019-08-16 14:27 - hidden

- Status changed from New to In Progress

#4 - 2019-08-19 11:36 - hidden

Funktioniert die Ansteuerung des Motors denn separat? Direkt den Wheel-Speed-Controller verwenden? Damit kann zumindest die Ansteuerung

ausgeschlossen werden

#5 - 2019-08-19 11:36 - hidden

- Status changed from In Progress to Customer Feedback Required

#7 - 2019-09-02 09:06 - hidden

Bitte um Rückmeldung. Ansonsten muss ich das Ticket schließen

#8 - 2019-09-06 08:13 - hidden

- Project changed from 25 to Public Support

- Subject changed from Motor Ansteuerung über ADTF funktioniert nicht to Engine control does not work

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to No Customer Feedback

#9 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
